/*****************************************************************************
* Filename: drive.h
*
*  J[hRg[\̓̒`
*
******************************************************************************/

#ifndef _DRIVE_H_

#include "sdconfig.h"
#include "sdtypes.h"

/* Internal READ, WRITE Command operations */
#define READING 1
#define WRITING 2


/* DRIVE_DESC ... hCu(MMC)\ */
typedef struct drive_desc
{
	ULONG       total_lba;
	UINT16      num_heads;
	UINT16      sec_p_track;
	UINT16      block_size;
	UINT16      num_cylinders;
	UINT16      max_multiple;
	UINT16      supports_lba;
} DRIVE_DESC, *PDRIVE_DESC;


/* DRIVE_CONTROLLER ... J[hRg[\ */
typedef struct drive_control
{
	DRIVE_DESC	drive;				/* J[hihCu) */
	USERADDRESS user_address;		/* [Uobt@ւ̃AhX */
	UINT16 		opencount;			/* I[vJE^ */
	COUNT 		controller_number;	/* Rg[ID */
	UINT16 		error_code;			/* ŐVG[R[h */
	UINT16 		timer;           	/* ^CAEgJE^ */
	UINT16 		block_size;      	/* ANZXubNTCY */
	UCOUNT 		sectors_remaining;	/* ANZXcZN^ */
	UINT16 		LastResponse[8];	/* J[hR}hX|Xobt@ */

} DEVICE_CONTROLLER, *PDEVICE_CONTROLLER;



/* INTERFACE_DATA_STRUCT is defined in IOCONST.C */
#ifndef INTERFACE_DATA_STRUCT
SDIMPORT DEVICE_CONTROLLER controller_s;
#endif  /* INTERFACE_DATA_STRUCT */


/* L\̂̏֐vg^Cv */
SDVOID clear_controller_structure(SDVOID);


#define _DRIVE_H_

#endif
