/*****************************************************************************
*Filename: OEM.H
*
*   n[hEFA֐vg^Cv
*
****************************************************************************/

#ifndef __OEM__

#include "sdconfig.h"
#include "sdtypes.h"

/************** TIMER.C ***********************
************* ^C}[֘A ********************
**********************************************/
SDVOID platform_delayms(COUNT tdelay);    /* Time to delay in milisecond */
#define OS_WAIT(tdelay)         (platform_delayms(tdelay))


/************* SPIOEM.C ************************
********** SPIC^[tFCX֘A *************
************************************************/
SDVOID spi_hw_init();
SDVOID spi_cs_enable();
SDVOID spi_cs_disable();

SDVOID startMMC80Clocks();
SDVOID mmcSendCommand(UINT32 cmd_arg, UINT16 cmd_index, UINT16 crcCMD);
MMC_CC getMMCResponseInfo(UINT16 *respBuff, UINT16 respType);
MMC_CC MMCPrepareAndSetup(UINT32 Arg, UINT16 Cmd, UINT16 noBlocks, UINT16 Resp);
MMC_CC checkCardBusy();
MMC_CC MMCTransmit(UCHAR *buffer, UINT16 dataLength);
MMC_CC MMCReceive(UCHAR *buffer, UINT16 dataLength);


/**************** CRC.C ************************
************** CRCrbgvZ }}}}}}*************
************************************************/
#if (USE_SET_FEATURES)
UINT16 calculateDataCRC16 ( UCHAR *pdata, UINT16 data_length );
UINT16 checkResponseCRC ( UCHAR *response, UINT16 offset, UINT16 response_length );
UINT16 appendCmdCRC ( UCHAR *cmd_bytes, UINT16 cmd_length );
#endif /* (!USE_SET_FEATURES) */
UINT16 calculateCmdCRC(UINT32 Args, UINT16 cmdIndex);


#define __OEM__
#endif

