/*****************************************************************************
* Filename: SDAPI.H
*
*  MMC SPI modehCoAPIvg^Cv
*
*****************************************************************************/

#ifndef __SDAPI_H__

#include "sdconfig.h"
#include "sdtypes.h"
#include "oem.h"

/*****************************************************************************/
/****************************** INTERFACE API ********************************/
/*****************************************************************************/

/*****************************************************************************
* Name: spi_init
*
* MMCzXgAhCoAMMCJ[h̏
*
*****************************************************************************/
SDBOOL spi_init(SDVOID);

/*****************************************************************************
* Name: spi_drive_open
*
* MMCJ[h̃I[v/close 
*
*****************************************************************************/
DEVICE_CONTROLLER *  spi_drive_open(SDVOID); /*__fn__*/
//drive_control *  spi_drive_open(SDVOID); 
//SDBOOL spi_drive_open(SDVOID);
SDBOOL spi_drive_close (SDVOID);

/*****************************************************************************
* Name: spi_read
*
* 1ubN[h
*
*****************************************************************************/
SDBOOL spi_read(ULONG sector, UTINY *buffer, UCOUNT count);


/*****************************************************************************
* Name: spi_write
*
* PubNCg
*
*****************************************************************************/
SDBOOL spi_write(ULONG sector, UTINY *buffer, UCOUNT count);


/*****************************************************************************
 * Maneger Class

*****************************************************************************/
/* Get pbr addres retern =0 error*/
unsigned long GetPBR_LBA(void);

/* Block read With Bufffer Max 128Kb */ 
int	bread(unsigned long bn ,unsigned long bsize, struct  buf1 **bp);

#define __SDAPI_H__

#endif  /* __SDAPI_H__ */

