/*======================================================================*/
/*  LЁ@xm݌v          Fujisekk LTD                            */
/*  http://www.d1.dion.ne.jp/~fujisekk/             All Alound          */
/*  http://homepage3.nifty.com/fujisekk/            Library             */
/* TEL Japan 042-323-2217                                               */
/*	Sample Program for MMC-SPI mode                                     */
/*  {[x \@[gfNg[̕\                   */
/* 2005.6 Oomagari                                                      */
/* ADD UART1                                                            */
/*======================================================================*/
#include "sdconfig.h"
//#include <sys/types.h>
#include "sdtypes.h"
#include <sys/time.h>
#include "fcntl.h"
#include "namei.h"
//#include <sys/errno.h>
#include <sys/pool.h>
#include <sys/queue.h>
#include "bootsect.h"
#include <msdosfs/direntry.h>
#include <msdosfs/denode.h>
#include "bpb.h"
#include "msdosfsmount.h"
#include    "drive.h"
#include    "sdapi.h"
#include	"sample.h"
#include 	"ss_uart.h"
#include "dump.h"
#include "Fu_memlib.h"
//# include <stdlib.h>
/*** G[ԍ ***/
#define ERR_MOUNT_CARD 	0	/* J[hMounts */
#define ERR_READ_CARD 	1	/* J[hf[^[hG[ */
#define ERR_WRITE_CARD 	2	/* J[hf[^CgG[ */
#define ERR_ILG_FORMAT 	3	/* J[htH[}bgG[ */
#define ERR_FULLRDE 	4	/* RDEt */
/*** f[^o̓obt@ ***/
unsigned char sec_buf[512];
time_t rtc_offset; /*now time */


//struct pool_cache pnbuf_cache;

u_long pbr_lba; /*Partition top*/

/****Mount FatFileSystem Device****/
int mount_mmc_ffs(void)
{
	pbr_lba = GetPBR_LBA();				/* BPB̃ZN^AhXl */
		return(0);
	
}

void         pool_cache_put(struct pool_cache * pnbuf1, void * cn_pbuf_a)
{
	struct pool_bufer pnbuf;
}




/* Msdos File Open For NetBSD Source */
/* ܂msdosfs_lookupŃt@C̃NX^
*/
int Fu_msdosfs_open(char * name, int a_mode)
{
		struct denode *dep;
		struct uio *uio;
		int a_ioflag;
		struct ucred *a_cred;
	struct msdosfsmount *pmp;	
	struct denode **vpp;
	struct componentname *cnp;

	cnp->cn_pnbuf= name;
	cnp->cn_namelen=strren(name);
	cnp->cn_flags=0;
	cnp->cn_nameiop =LOOKUP //loop up only
	msdosfs_lookup(pmp ,vpp , cnp );


	
	if(a_mode==O_RDONLY){
		msdosfs_read(dep ,uio ,a_ioflag ,a_cred );
	}
	return(0);
}
	
/* oCi-̗L Ԃ */
unsigned int ffs(unsigned int i)
{
	int a, b;
	b=sizeof(int);
	b=b*8;
	for(a=0;a<b;a++){
	if(!i) break;
	i=i>>1;
	}
	return a;
}
/******************************************************************************
* Name: get_led_pattern
*
* oCgl7Seg.LED \p^[߂
*
******************************************************************************/
uchar get_led_pattern(uchar src, uchar upper)
{
	uchar ret;
	src = (upper) ? src>>4: src&0x0f;
	switch(src)
	{
	case 0x00: ret = LED_WRITE_0; break;
	case 0x01: ret = LED_WRITE_1; break;
	case 0x02: ret = LED_WRITE_2; break;
	case 0x03: ret = LED_WRITE_3; break;
	case 0x04: ret = LED_WRITE_4; break;
	case 0x05: ret = LED_WRITE_5; break;
	case 0x06: ret = LED_WRITE_6; break;
	case 0x07: ret = LED_WRITE_7; break;
	case 0x08: ret = LED_WRITE_8; break;
	case 0x09: ret = LED_WRITE_9; break;
	case 0x0A: ret = LED_WRITE_A; break;
	case 0x0B: ret = LED_WRITE_B; break;
	case 0x0C: ret = LED_WRITE_C; break;
	case 0x0D: ret = LED_WRITE_D; break;
	case 0x0E: ret = LED_WRITE_E; break;
	case 0x0F: ret = LED_WRITE_F; break;
	}
	return( ret );
}

/******************************************************************************
* Name: prompt_errorlevel
*
*  7Seg.LEDɃG[ԍ\
*
******************************************************************************/
void prompt_errorlevel(int err)
{
	uchar ptrn;
	ptrn = get_led_pattern((uchar)err, 0);
	while(1){
		*P0OUT = LED_WRITE_E; *LEDON = 0x00; /* E */
		OS_WAIT(1000);

		*P0OUT = LED_WRITE_NONE; *LEDON = 0x00; OS_WAIT(300);

		*P0OUT = ptrn; *LEDON = 0x00;		 /* 0-F (error level) */
		OS_WAIT(1000);

		*P0OUT = LED_WRITE_NONE; *LEDON = 0x00;
		OS_WAIT(500);
	}
}
/**/

/******************************************************************************
* Name: GetRDE_LBA
*
*  Root Diirectory Entory̐擪ZN^AhX߂
*
******************************************************************************/
#define PART1TABLE_OFF 		446 /* MBRPartitionTable1Offset */
#define PARTRELSECTOR_OFF	8	/* PartitionTableRelativeSectorւOffset */
#define PARTRELSIZE_OFF		12	/* PartitionTableRelativeSectorւOffset */
#define FATSECTORS_OFF 		22	/* PBR FatSectorsւOffset */
/* Get pbr addres retern =0 error*/
unsigned long GetPBR_LBA(void)
{
	unsigned long  pbr ;
	unsigned char *wk;

	if(!spi_read(0, sec_buf, 1)){ /* MBRZN^̃[h */
		prompt_errorlevel(ERR_READ_CARD);
		return(0);
	}
	if((sec_buf[510] != 0x55) || (sec_buf[511] != 0xAA)){ /* MBRSignature Word̃`FbN */
		prompt_errorlevel(ERR_ILG_FORMAT);
		return(0);
	}
	wk = &(sec_buf[PART1TABLE_OFF+PARTRELSECTOR_OFF]); /* MBR-PartationTable1PBRւRelativeSectorl */
	pbr = *(wk+3); pbr <<= 8;   /* R[hLittle EndianŋL^Ă */
	pbr |= *(wk+2); pbr <<= 8;
	pbr |= *(wk+1); pbr <<= 8;
	pbr |= *wk;

	puts_rs("MBR PBR Address =");
	dump_ul_rs(pbr);
	return(pbr);
}
unsigned long GetRDE_LBA(void)
{
	unsigned long rde, pbr, p_size , fatsec;
	unsigned char *wk;
	//union bootsector bootsec ;

//struct  byte_bpb50 bpb50;
	pbr = 0; rde = 0; fatsec=0;
	while(1)
	{
		if(!spi_read(0, sec_buf, 1)){ /* MBRZN^̃[h */
			prompt_errorlevel(ERR_READ_CARD);
			break;
		}
		if((sec_buf[510] != 0x55) || (sec_buf[511] != 0xAA)){ /* MBRSignature Word̃`FbN */
			prompt_errorlevel(ERR_ILG_FORMAT);
			break;
		}
		wk = &(sec_buf[PART1TABLE_OFF+PARTRELSECTOR_OFF]); /* MBR-PartationTable1PBRւRelativeSectorl */
		pbr = *(wk+3); pbr <<= 8;   /* R[hLittle EndianŋL^Ă */
		pbr |= *(wk+2); pbr <<= 8;
		pbr |= *(wk+1); pbr <<= 8;
		pbr |= *wk;

		puts_rs("MBR PBR Address =");
		dump_ul_rs(pbr);

		wk = &(sec_buf[PART1TABLE_OFF+PARTRELSIZE_OFF]); /* MBR-PartationTable1PBRւRelativeSectorl */
		p_size = *(wk+3); p_size <<= 8;   /* R[hLittle EndianŋL^Ă */
		p_size |= *(wk+2); p_size <<= 8;
		p_size |= *(wk+1); p_size <<= 8;
		p_size |= *wk;
		puts_rs("MBR PertisyonSIZE =");
		dump_l_rs(p_size);
		if(!spi_read(pbr, sec_buf, 1)){ /* PBRZN^̃[h */

// if((sec_buf[510] != 0x55) || (sec_buf[511] != 0xAA)){ /* PBRSignature Word̃`FbN */
//			prompt_errorlevel(ERR_ILG_FORMAT);
//			break;
//		}
//		wk = &(sec_buf[FATSECTORS_OFF]);	/* PBRFATZN^RDE̐擪ZN^AhXvZ */

		fatsec = *(wk+1);
		fatsec <<= 8;
		fatsec |= *wk;
		rde = pbr + 1 + fatsec + fatsec;
		puts_rs("PBR Num of Sct/Cls =");
		dump_l_rs(fatsec);
		break;
		}//???
	}
	return(rde);
}
/**/

/******************************************************************************
* Name: ScanVolumeLabel
*
*  RDE{[xGgA
*  ^[ĺAfBNgGg̃CfbNX(0-511)
*  {[xGg݂Ȃꍇ́Aŏ̋󂫃GgԂ
*
******************************************************************************/
#define RDE_SECTORS 	32		/* RDȆZN^ */
#define DE_BYTES		32		/* PGg̃oCg */
#define DE_FREE 		0xE5	/* 폜ς݃GgID */
#define DE_FREE_ANYMORE 0x00	/* gpGgID */
#define ATR_VOLUME 		0x08	/* Ggrbg. {[x */
#define ATR_DIRCTRY		0x10	/* Ggrbg. DIR */
#define ATR_LONGFN 		0x0F	/* Ggrbg. Ot@C */
#define DE_ATR_OFF 		0x0B	/* R[hւ̃ItZbg */
#define DE_STCLST_OFF 	0x14	/* CLSTERR[hւ̃ItZbg */
#define DE_TM_OFF 		0x16	/* ԃR[hւ̃ItZbg */
#define DE_DT_OFF 		0x18	/* R[hւ̃ItZbg */
#define DE_NAME_LEN 	11		/* OR[h */

int ScanDIR_Entry(unsigned long rde_lba ,unsigned int * dirent)
{
	unsigned long 	seccnt;
	int 			off, ent, free;
	ent = 0;
	free = -1;
	for(seccnt = 0; seccnt < RDE_SECTORS; seccnt++){ /* ő32ZN^ */
		if(!spi_read((rde_lba+seccnt), sec_buf, 1)){ /* RDEZN^̃[h */
			prompt_errorlevel(ERR_READ_CARD);
			break;
		}
		for(off=0; off < 512; off += DE_BYTES){ /* [hς݃ZN^̌ */
			if( sec_buf[off+ATR_DIRCTRY] & ATR_LONGFN){ /* DIRGg */
				*dirent=sec_buf[DE_STCLST_OFF+1];
				*dirent=*dirent<<8;
				*dirent=*dirent+sec_buf[DE_STCLST_OFF];
				return(ent); /* CfbNX^[ */
			}
			ent++;
		}
	}
	prompt_errorlevel(ERR_FULLRDE); /* ɔĂꍇ́ARDEɃ{[xAA󂫃Gg */
	return(ent);
}

int ScanVolumeLabel(unsigned long rde_lba)
{
		
	unsigned long 	seccnt;
	int 			off, ent, free;


	ent = 0;
	free = -1;
	for(seccnt = 0; seccnt < RDE_SECTORS; seccnt++){ /* ő32ZN^ */
		if(!spi_read((rde_lba+seccnt), sec_buf, 1)){ /* RDEZN^̃[h */
			prompt_errorlevel(ERR_READ_CARD);
			break;
		}
		for(off=0; off < 512; off += DE_BYTES){ /* [hς݃ZN^̌ */
			if(sec_buf[off] == DE_FREE_ANYMORE){ /* gpGg */
				/* gpGgȍ~̃Gg͑SĖgp*/
				if(free < 0) free = ent;
				return(free); /* ŏ̋󂫃Gg̃CfbNX^[ */
			}
			if(sec_buf[off] == DE_FREE){ /* 폜ς݃Gg */
				if(free < 0) free = ent;  /* ŏ̋GgVKɃ{[xGg쐬ꍇɎgp */
			}
			if((sec_buf[off+DE_ATR_OFF] != ATR_LONGFN) && (sec_buf[off+DE_ATR_OFF] & ATR_VOLUME)){ /* {[xGg */
				return(ent); /* CfbNX^[ */
			}
			if( sec_buf[off+ATR_DIRCTRY] & ATR_LONGFN){ /* DIRGg */
				return(-ent); /* CfbNX^[ */
			}
			ent++;
		}
	}
	prompt_errorlevel(ERR_FULLRDE); /* ɔĂꍇ́ARDEɃ{[xAA󂫃Gg */
	return(ent);
}

/******************************************************************************
* Name: ScanVolumeLabel
*
*  {[xGg̍XV
* @w肳ꂽGg}ʒȕԂɂAl[͐VKGg쐬s
*
******************************************************************************/
void UpdateVolumeID(unsigned long start_rde, int rde_idx)
{
	unsigned long 	lba;
	int 			off;
	int 			i;
	unsigned char 	*wk, *vol;
	unsigned short 	date, time;

	char *volname01 = "HELLO-CQ   ";  /* VolumeLabelP */
	char *volname02 = "HELLO-AGAIN";  /* VolumeLabelQ */

	/* XVZN^AhX߂ */
	lba = start_rde;
	lba += (rde_idx*DE_BYTES) / 512; /* XVZN^AhX */
	off = (rde_idx*DE_BYTES) % 512;  /* XVoCgItZbg */

	if(!spi_read(lba, sec_buf, 1)){  /* XVZN^[h */
		prompt_errorlevel(ERR_READ_CARD);
	}
	wk = &(sec_buf[off]);
	if((*wk == DE_FREE) || (*wk == DE_FREE_ANYMORE)){ /* }ʒuGgȂ̂ŁAVK쐬 */
		for(i=0; i < DE_BYTES; i++)
			*(wk+i) = 0x00;
		/* NameR[h */
		vol = volname01;
		for(i=0; i < DE_NAME_LEN; i++)
			*(wk+i) = vol[i];
		/* R[h */
		*(wk+DE_ATR_OFF) = ATR_VOLUME;
		/* ԃR[h -> 12:12:12Zbg */
		time = 6;
		time |= (unsigned short)(12 << 5);
		time |= (unsigned short)(12 << 11);
		*(wk+DE_TM_OFF)   = (unsigned char)(time & 0xFF);
		*(wk+DE_TM_OFF+1) = (unsigned char)(time >> 8);
		/* R[h -> 2002/1/1Zbg */
		date = 1;
		date |= (unsigned short)(1 << 5);
		date |= (unsigned short)(22 << 9);
		*(wk+DE_DT_OFF)   = (unsigned char)(date & 0xFF);
		*(wk+DE_DT_OFF+1) = (unsigned char)(date >> 8);

	} else{ /* ̃{[xGg̃xύX */
		/* x */
		vol = volname02;
		for(i=0; i < DE_NAME_LEN; i++){
			if(*(wk+i) != volname01[i] ){ /* ݂̃xPƈႤȂAPgp */
				vol = volname01;
				break;
			}
		}
		/* NameR[h̍XV */
		for(i=0; i < DE_NAME_LEN; i++){
			*(wk+i) = vol[i];
		}
	}

	/* XVZN^MMC֏ */
	if(!spi_write(lba, sec_buf, 1)){
		prompt_errorlevel(ERR_WRITE_CARD);
	}
}

/******************************************************************************
* Name: main
*
* C
*
******************************************************************************/
#define LED_WRITE_P 0x000C /* 7Seg. LED'P'p^[ */

struct denode dep_gl;
//struct msdosfsmount pmp_gl;

extern struct msdosfsmount _pmp;
int main()
{
//	unsigned long 	rde_lba;
//	int 			rde_idx;
//	uchar   led_pat ,rdir_idx;
	uchar   led_pat ;
//	unsigned int * dirent;
//	const char	ss_buff2[] = "SD Card Reader\n\r";
	int resurt;

	/* MSDOS Root Dir Data*/
		//struct uio *a_uio;
		//int *a_eofflag;
		//off_t **a_cookies;
		//int *a_ncookies;
		
	u_long dirclust, diroffset;
	struct buf1 *bpp;
	struct direntry *epp;
/* One File test buffer */
	char file_name[24];
	int atr_mode;

	/* UART1 init */
	ss_uart_init();
//	ss_uart_send(22,(uchar *)ss_buff2);
	puts_rs("SD Card Reader\n\r");
	//7Seg. LED|[g֘Ȁ
	*P0MD = 0x01;		//D[31:24]ėph^n|[g
	*P1MD = 0x01;		//D[23:16]ėph^n|[g
	*P2MD = 0x00;		//D[15:0]f[^oX
	*P0DIR = 0xff;		//P00-07 o
	*P1DIR = 0x00;		//P10-17 

	Fu_Malocinit();/* Mallocsetup 128kb*/
	spi_init(); /* MMCzXgAhCȍ@*/
//	if(!spi_drive_open()){ /* MMCJ[h̃}Eg */
//		prompt_errorlevel(ERR_MOUNT_CARD);
//	}
//	else{
//			puts_rs("SPI Init ok\n\r");
//	}
	//rde_lba = GetRDE_LBA();				/* RDE̐擪ZN^AhXl */
	//rdir_idx=ScanDIR_Entry(rde_lba ,dirent);/*DIRʒu */

	//rde_idx = ScanVolumeLabel(rde_lba);	/* Gg}ʒu */
	//UpdateVolumeID(rde_lba, rde_idx);	/* {[xGg} */
	resurt=msdosfs_mountroot();
	if(resurt){ /* MMCJ[h̃}Eg */
		prompt_errorlevel(ERR_MOUNT_CARD);
	}
	else{
			puts_rs("SD MSDOS ok\n\r");
		led_pat = LED_WRITE_UPPER;
		*P0OUT = led_pat; *LEDON = 0x00;
	}
/* ADD MSDOSFS TEST exper */	
//	strcpy(dep_gl.de_Name,"..");
//	resurt=msdosfs_readdir(dep_gl  , a_uio , a_eofflag ,  a_cookies ,a_ncookies);
//	Root DIR Read to Buffer bpp
	dirclust=0;
	diroffset=0;
	readep(&_pmp, dirclust, diroffset, &bpp, &epp)	;
		led_pat = LED_WRITE_LOWER;
		*P0OUT = led_pat; *LEDON = 0x00;
/* Open test*/
	strcpy(file_name,"DCMI");
	atr_mode=O_RDONLY;
	Fu_msdosfs_open( file_name,  atr_mode);
		/* Î߁A7Seg.LED'P'p^[_ */
	led_pat = LED_WRITE_P;
	while(1)
	{
		*P0OUT = led_pat; *LEDON = 0x00; OS_WAIT(500);
		*P0OUT = LED_WRITE_NONE; *LEDON = 0x00; OS_WAIT(100);
	}

	return 0;
}

int atexit()
{
	return 0;
}

